Subject: [rbridge] Max Network size / ARP servers

From: Radia.Perlman at sun.com ([email-masked])
Date: Thu, 12 May 2005 16:29:07 -0400

And to underline what Joe said, yes, a good case can be made for the usefulness
of having multiple spanning trees (to minimize number of packet-hops for
the core to distribute packets within a single VLAN, or for optimized IP multicast, or
to avoid out of order delivery when switching between destination unknown and destination
known). It's easy to compute multiple spanning trees by
running a single link state instance (which gives enough information to calculate per-VLAN
spanning trees, or per-ingress Rbridge spanning trees. I'm not sure I would explain multiple
spanning trees as making this more scalable, but rather as optimizing multicast delivery.
The scaling improvement comes in when endnode location advertisement is confined to
the RBridges that support that VLAN.

Radia

----- Original Message -----
From: Joe Touch <touch at ISI.EDU>
Date: Thursday, May 12, 2005 4:00 pm
Subject: Re: [rbridge] Max Network size / ARP servers

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> 
> 
> Guillermo Ib??ez wrote:
> ...
> >>>>>Some measurements on ARP load are available at:   
> >>>>>http://100x100network.org/papers/myers-hotnets2004.pdf
> >>>>>       
> >> 
> >>> Myers extrapolations in the paper are higher ( I do not know 
> his 
> >>> rationale) than mine.
> >> 
> >> There are also other economies of scale possible in an RBridge -
> >> broadcasts can be more efficient than in a spanning tree 
> because there
> >> can be multiple broadcast trees inside the RBridge campus.
> >> 
> > Sorry, I do not catch this argument. Multiple spanning trees are 
> not 
> > exclusive of Rbridges, any bridge can use them (with MSTP or 
> future 
> > simplifications or evolutions of it).
> 
> We already note the need to use multiple spanning trees in RBridge to
> match the way routing supports multiple paths, as well as for 
> differentVLANs.
> 
> I.e., the need for multiple spanning trees is already assumed in
> RBridges for other reasons. Agreed, it's not unique to RBridges, but
> it's already there at least.
> 
> Joe
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.2.4 (MingW32)
> Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org
> 
> iD8DBQFCg7XsE5f5cImnZrsRAnr/AJ982BN5t6UEnmiwNn8SfECIO0jhmACgiuao
> 01WJDByU8Funcu2FYoJBP+g=
> =eE69
> -----END PGP SIGNATURE-----
> _______________________________________________
> rbridge mailing list
> rbridge at postel.org
> http://www.postel.org/mailman/listinfo/rbridge
>